
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL查询优化系列讲座之查询优化器(2) / iVAN</title>

    <meta name="description" content="MySQL查询优化系列讲座之查询优化器(2)     为了使这个查询的效率更高,给其中一个联结列添加索引并重新执行EXPLAIN语句: mysql&gt; ALTER TABLE t2 ADD INDEX (i2);mysql&gt; EXPLAIN SELECT t1.i1, t2.i2 FROM t1, t2 WHERE t1.i1 = t2.i2\G*************************** 1. row ***************************id: 1select_type: SIMPLEtable: t ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL查询优化系列讲座之查询优化器(2)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>    为了使这个查询的效率更高，给其中一个联结列添加索引并重新执行EXPLAIN语句：</p>
<p><code>mysql&gt; ALTER TABLE t2 ADD INDEX (i2);<br />mysql&gt; EXPLAIN SELECT t1.i1, t2.i2 FROM t1, t2 WHERE t1.i1 = t2.i2\G<br />*************************** 1. row ***************************<br />id: 1<br />select_type: SIMPLE<br />table: t1<br />type: ALL<br />possible_keys: NULL<br />key: NULL<br />key_len: NULL<br />ref: NULL<br />rows: 1000<br />Extra:<br />*************************** 2. row ***************************<br />id: 1<br />select_type: SIMPLE<br />table: t2<br />type: ref<br />possible_keys: i2<br />key: i2<br />key_len: 5<br />ref: sampdb.t1.i1<br />rows: 10<br />Extra: Using where; Using index</code></p>
<p>我们可以看到性能提高了。T1的输出没有改变（表明还是需要进行全表扫描），但是优化器处理t2的方式就有所不同了：</p>
<p>· 类型从ALL改变为ref，意味着可以使用参考值（来自t1的值）来执行索引查找，定位t2中合格的数据行。</p>
<p>· 参考值在参考（ref）字段中给出了：sampdb.t1.i1。</p>
<p>· 行数值从1000降低到了10，显示出优化器相信对于t1中的每一行，它只需要检查t2中的10行（这是一个悲观的估计值。实际上，在t2中只有一行与t1中数据行匹配。我们在后面会看到如何帮助优化器改善这个估计值）。数据行组合的全部估计值使1000×10＝10000。它比前面的没有索引的时候估计出来的一百万好多了。</p>
<p>对t1进行索引有价值吗？实际上，对于这个特定的联结操作，扫描一张表是必要的，因此没有必要对t1建立索引。如果你想看到效果，可以索引t1.i1并再次运行EXPLAIN：</p>
<p><code>mysql&gt; ALTER TABLE t1 ADD INDEX (i1);<br />mysql&gt; EXPLAIN SELECT t1.i1, t2.i2 FROM t1, t2 WHERE t1.i1 = t2.i2\G<br />*************************** 1. row ***************************<br />id: 1<br />select_type: SIMPLE<br />table: t1<br />type: index<br />possible_keys: i1<br />key: i1<br />key_len: 5<br />ref: NULL<br />rows: 1000<br />Extra: Using index<br />*************************** 2. row ***************************<br />id: 1<br />select_type: SIMPLE<br />table: t2<br />type: ref<br />possible_keys: i2<br />key: i2<br />key_len: 5<br />ref: sampdb.t1.i1<br />rows: 10<br />Extra: Using where; Using index</code></p>
<p>上面的输出与前面的EXPLAIN的输出相似，但是添加索引对t1的输出有一些改变。类型从NULL改成了index，附加（Extra）从空的改成了Using index。这些改变表明，尽管对索引的值仍然需要执行全表扫描，但是优化器还是可以直接从索引文件中读取值，根据不需要使用数据文件。你可以从MyISAM表中看到这类结果，在这种情况下，优化器知道自己只询问索引文件就能够得到所有需要的信息。对于InnoDB 和BDB表也有这样的结果，在这种情况下优化器可以单独使用索引中的信息而不用搜索数据行。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 10:57:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/using/" title="using">using</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2%e4%bc%98%e5%8c%96/" title="查询优化">查询优化</a>, <a href="https://www.iamivan.net/tag/explain/" title="Explain">Explain</a>, <a href="https://www.iamivan.net/tag/using%e9%a2%84%e5%a4%84%e7%90%86%e5%99%a8/" title="using预处理器">using预处理器</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL查询优化系列讲座之查询优化器(2)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NV9kz.html" rel="bookmark">MySQL查询优化系列讲座之查询优化器&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    当你提交一个查询的时候,MySQL会分析它,看是否可以做一些优化使处理该查询的速度更快.这一部分将介绍查询优化器是如何工作的.如果你想知道MySQL采用的优化手段,可以查看MySQL参考手册. 当然,MySQL查询优化器也利用了索引,但是它也使用了其它一些信息.例如,如果你提交如下所示的查询,那么无论数据表有多大,MySQL执行它的速度都会非常快: SELECT * FROM tbl_name WHERE 0; 在这个例子中,MySQL查看WHERE子句,认识到没有符合查询条件的数据行,			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7d1dM.html" rel="bookmark">MySQL查询优化系列讲座之调度和锁定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    前面的部分主要是聚焦于如何让单独的查询执行的速度更快.MySQL还允许你改变语句调度的优先级,它可以使来自多个客户端的查询更好地协作,这样单个客户端就不会由于锁定而等待很长时间.改变优先级还可以确保特定类型的查询被处理得更快.这一部分讲解MySQL的默认的调度策略和可以用来影响这些策略的选项.它还谈到了并发性插入操作的使用和存储引擎锁定层次对客户端的并发性的影响.为了讨论的方便,我们把执行检索(SELECT)的客户端称为&quot;读取者&quot;,把执行修改操作(DELETE.INSERT.R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wk1Jp.html" rel="bookmark">MySQL查询优化系列讲座之数据类型与效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    这一部分提供了如何选择数据类型来帮助提高查询运行速度的一些指导: 在可以使用短数据列的时候就不要用长的.如果你有一个固定长度的CHAR数据列,那么就不要让它的长度超出实际需要.如果你在数据列中存储的最长的值有40个字符,就不要定义成CHAR(255),而应该定义成CHAR(40).如果你能够用MEDIUMINT代替BIGINT,那么你的数据表就小一些(磁盘I/O少一些),在计算过程中,值的处理速度也快一些.如果数据列被索引了,那么使用较短的值带来的性能提高更加显著.不仅索引可以提高查询速			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7waD4z.html" rel="bookmark">MySQL学习系列2--MySQL执行计划分析EXPLAIN</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:MySQL学习系列2--MySQL执行计划分析EXPLAIN 1.Explain语法 EXPLAIN SELECT -- 变体:   EXPLAIN EXTENDED SELECT -- 将执行计划&quot;反编译&quot;成SELECT语句,运行SHOW WARNINGS 可得到被MySQL优化器优化后的查询语句   2.执行计划分析和实例 创建员工表Employee create table Employee ( ID int auto_increment, Ename varchar(32			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM69ggb.html" rel="bookmark">资深网站运营总监&OpenCurlyDoubleQuote;莫言&rdquo;的网站运营系列讲座（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站运营 主讲:莫言主题:网站运营系列讲座(一) 讲课记录: 运营一个网站,咱们还是先从自身资源开始谈 自身资源里,包括了人员,资金,你的站所处领域里你对业务的熟悉程度 当然也包括一些硬件资源 类似服务器,或者空间 带宽 这些都是需要你前期考虑好的,并辅助与实施的 这里,要着重提的是你做站一定要选自己熟悉的行业领域 引一句话&quot;不要拿自己的弱项跟人家的强项拼&quot; 选择自己熟悉,或者说正在从事的领域行业来做站这是首选的 还包括你领域里可以整合其他的小范围领域 这些..可以统称为&quot;网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnZDKp.html" rel="bookmark">Mysql入门系列：客户机程序5&mdash;MYSQL交互式查询程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.7 客户机程序5-交互式查询程序 让我们把迄今为止研究的诸多内容整理一下,编写一个简单的交互式客户机程序.它的功能包括可以进入查询,用通用目标查询处理程序process_query 执行查询,并用前面研究过的显示格式process_result_set() 显示查询结果. 客户机程序5在某些方面与mysql类似,虽然在几个特征上还是有所不同.客户机程序5在输入上有几个约束条件: ■ 每个输入行必须包括一个完整的查询. ■ 查询不会以分号或' g'为终止. ■ 不识别类似quit 的命令:而是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL7gXRM.html" rel="bookmark">单片机-基于51系列的电阻筛选器怎么样求详细</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 基于51系列的电阻筛选器怎么样求详细 程序中设定好范围,直接检测看结果. 如设定范围10--11K,待测电阻10K.在范围内绿灯亮,不在红灯亮.求具体求大神 解决方案 这个要设计电路部分只有单片机肯定不行 解决方案二: 串电阻,分压.单片机AD采集后,根据电压大小,根据公式测出电阻大小,再进行点灯...不知可否.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPk32DM.html" rel="bookmark">HDwiki系列讲座第九期&colon; 网络广告联盟广告投放技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 大家好,很荣幸能担任本次讲座的嘉宾,由于讲座的主题是&quot;网络广告联盟广告投放技巧&quot;,所以,我还是要先给大家简单介绍一下什么是网络广告联盟. 下面开始进入主题 一.什么是网络广告联盟 网络广告联盟,又称联盟营销,指集合中小网络媒体资源(又称联盟会员,如中小网站.个人网站.WAP 站点等)组成联盟,通过联盟平台帮助广告主实现广告投放,并进行广告投放数据监测统计, 广告主则按照网络广告的实际效果向联盟会员支付广告费用的网络广告组织投放形式. 网络			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQW0PGp.html" rel="bookmark">Java Socket&plus;mysql实现简易文件上传器的代码&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近跟着某网站学习了一个小项目,因为白天有课,所以都是晚上写的,今天把它完成了. 项目主要是实现一个文件上传器,通过客户端的登陆,把本地文件上传到服务器的数据库(本地的). 首先建两个表如下: 一个文件信息表 CREATE TABLE `fileinfo` ( `Fname` char(50) NOT NULL, `FInfo` blob NOT NULL, `FId` int(10) NOT NULL AUTO_INCREMENT, PRIMARY KEY (`FId`) ) ENGINE=I			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN74yp.html" rel="bookmark" class="title">&period;net设计模式实例之组合模式（Composite Pattern）</a>
					<div>
						一.组合模式简介(Brief Introduction) 组合模式,将对象组合成树形结构以表示&quot;部分-整体&quot;的层次结构,组合模式使得用户 对单个对象和组合对象的使用具有一致性. 二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLmZaz.html" rel="bookmark" class="title">读取Json</a>
					<div>
						        private void DeserializeJson()         {             string content = &quot;&quot;;          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b26RQb.html" rel="bookmark" class="title">扩展jQuery静态方法&colon;extend&lpar;dest&comma;src1&comma;src2&comma;src3&period;&period;&period;srcN&rpar;</a>
					<div>
						文章简介:Jquery的扩展方法extend是我们在写插件的过程中常用的方法,该方法有一些重载原型,在此,我们一起去了解了解. Jquery的扩展方法extend是我们在写插件的过程中常用的方法,该方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEAPJb.html" rel="bookmark" class="title">网站建设经验之谈</a>
					<div>
						网站建设 1. 明确内容 如果你想成为一个网站设计者,并正想建一个网站的话,首先应该考虑网站的内容,包括网站功能和你的用户需要什么.你的整个设计都应该围绕这些方面来进行. 2. 抓住用户 如果用户不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO0gRb.html" rel="bookmark" class="title">在 ASP&period;NET 中支持数据库缓存相关性</a>
					<div>
						asp.net|缓存|数据|数据库 开发人员都喜欢 ASP.NET 应用程序缓存. 一个原因是 ASP.NET 能够在放入缓存中的项与文件系统中的文件之间创建相关性. 如果相关性所针对的文件更改,AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ4KwM.html" rel="bookmark" class="title">Dreamweaver MX 2004视频宝典教程&lpar;18&rpar;</a>
					<div>
						dreamweaver|教程 第 18 集:Dreamweaver面板和面板组 课程目标:学会使用Dreamweaver面板和面板组 课程要点:面板组包括设计,代码,应用程序,标签检查器,文件,属性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGaVlM.html" rel="bookmark" class="title">恰维网络谈新站上线必做的五条规定</a>
					<div>
						新的网站想在上线以后得到好的排名,今天恰维网络给大家分析了几条新站上线的几条规定,看看自己的网站是否做好下面的五条规定,希望能给大家带来一定的帮助. 第一,网站结构符合蜘蛛的抓取习性. 网站结构主要分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa2BXM.html" rel="bookmark" class="title">通过CMM顶级评估后 该往何处去</a>
					<div>
						去年九月底公司成为了全球首家同时通过CMM5级和CMMI5级评估的软件企业,除此之外还是中国大陆首家通过CMMI5级的软件企业.当时,这是一件令公司全体员工尤其是我们质量人员倍感欣慰和鼓舞的事情.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaaQXM.html" rel="bookmark" class="title">jsp内置对象入门（7） pageContext对象详解</a>
					<div>
						我们已经学完了jsp内置对象的最主要的四种对象----page.request.response.session和application,在内置对象中有一个pageContext也是很重要的,因为它在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAanwZM.html" rel="bookmark" class="title">J2SE 1&period;5 Tiger新特性学习</a>
					<div>
						一.定义一个简单的&quot;泛型&quot;类 package tigers; public class GenericIdentify { public static void main(Stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB23ykb.html" rel="bookmark" class="title">win 8系统无法关机的解决方法</a>
					<div>
						1. 点击windows8系统的关机重启没有反应 通过修改注册表 HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlSession Manager: Bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBBQaz.html" rel="bookmark" class="title">如何解决浏览网页时出现的乱码</a>
					<div>
						  有用xp系统下载的IE浏览器时访问一些台湾地区的网站时,经常出现一些乱码,如图1所示. 遇到这种情况一般是因为编码设置错误而引起的,解决方法如下:在出现乱码的网页空白处单击鼠标右键,在弹出的快捷菜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr7ZAp.html" rel="bookmark" class="title">傲游云浏览器设置主页方法</a>
					<div>
						  1.打开你的傲游浏览器,然后点击右上角的&quot;设置&quot;按钮 2.在&quot;基本设置&quot;选项卡&quot;主页设置&quot;中你想要设置的主页 3.点击圈圈处页面上方会显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b248Aqp.html" rel="bookmark" class="title">win8系统没有声音怎么办？</a>
					<div>
						  realtek声卡驱动安装完整教程: 1.打开系统天堂网页,下载realtek声卡驱动 ; 2.解压缩,找到rtlupd.exe文件,选择以管理员模式运行; 3.接着根据提示点击安装,然后一路点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr59np.html" rel="bookmark" class="title">AJAX使用post发送数据xml格式接受数据&lowbar;实用技巧</a>
					<div>
						注意点:  1. 用POST发送数据,在2号线函数(也是ajax发送数据的函数:ajaxCall)必须加上一句:xmlObject.setRequestHeader(&quot;Content-Typ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA2qGM.html" rel="bookmark" class="title">PHP多线程编程之管道通信实例分析&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP多线程编程之管道通信用法.分享给大家供大家参考.具体分析如下: 一个线程如果是个人英雄主义,那么多线程就是集体主义,你不再是一个独行侠,而是一个指挥家. 管道通信: 1. 管道可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQQGRp.html" rel="bookmark" class="title">Node&period;js的Formidable模块的使用</a>
					<div>
						今天总结了下Node.js的Formidable模块的使用,下面做一些简要的说明. 1)     创建Formidable.IncomingForm对象 var form = new formidab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVW2Zb.html" rel="bookmark" class="title">【Go语言】【8】GO语言的条件语句和选择语句</a>
					<div>
						原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://qingkechina.blog.51cto.com/5552198/161831 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NEVRz.html" rel="bookmark" class="title">MySQL锁系列（八）之 死锁</a>
					<div>
						能学到什么 什么是死锁 死锁有什么危害 典型的死锁案例剖析 如何避免死锁 一.什么是死锁 1.必须满足的条件 1. 必须有两个或者两个以上的事务 2. 不同事务之间都持有对方需要的锁资源. A事务需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdErZNz.html" rel="bookmark" class="title">微软互联网信息服务发现一个严重安全漏洞</a>
					<div>
						一位研究人员发现最新版本的微软互联网信息服务中有一个安全漏洞,能够让攻击者在运行这个流程的Web服务的计算机上执行恶意代码. 据研究人员Soroush Dalili说,这个安全漏洞存在于互联网信息服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVrO8b.html" rel="bookmark" class="title">B2c杂思：非扁平化路径</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于大品种量.且消费冲动与具体商品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NanAz.html" rel="bookmark" class="title">《libGDX移动游戏开发从入门到精通》一1&period;5　其他的一些准备工作</a>
					<div>
						1.5 其他的一些准备工作 通过学习前面的知识,我们已经学会写一个libGDX的HelloWorld程序,并且学会了在Android平台和桌面上调试自己的libGDX程序.但是在很多情况下,我们还需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPEJqp.html" rel="bookmark" class="title">传值-单选试题 答案保存 调用另一个function</a>
					<div>
						问题描述 单选试题 答案保存 调用另一个function 当点击下一题跳转页面,第五次时没有变为提交,且无法触发score方法,同时没选一题答案,跳转页面时如何存储 &lt;SCRIPT LANGUA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBNjAb.html" rel="bookmark" class="title">界面-做一个web服务器的流程是如何呢</a>
					<div>
						问题描述 做一个web服务器的流程是如何呢 水平比较低,有个在虚拟机Linux下运行的程序,要做成有界面的web服务器,要用什么软件怎样的流程做呢?主要想知道流程,实在是无从着手..... 解决方案  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRv5db.html" rel="bookmark" class="title">Docker 周报：Docker 已扎根新一代 PaaS</a>
					<div>
						新闻 1.&lt;CoreOS收购Quay.io,提供企业级的Docker Registry&gt;:CoreOS近来势头正劲,继上个月宣布完成800万美元的A轮融资后,近日又宣布收购私有Docker ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo2d8M.html" rel="bookmark" class="title">解决win10系统kb3081449安装补丁失败的问题</a>
					<div>
						解决方法一:删除Win10系统更新的缓存文件: 1.按&quot;Win+X&quot;组合键呼出系统快捷菜单,选择&quot;命令提示符(管理员)&quot;; 2.在窗口中输入:net sop w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0wZGM.html" rel="bookmark" class="title">苹果近几年一直在不断创造新的里程碑</a>
					<div>
						近的有2013年5月,苹果旗下的AppStore下载量突破500亿次,苹果成为了首个获得如 此成就的数字发行商.更近的就是今年的Mac30周年庆,苹果专门为此在官网上介绍了Mac在过去30年里发展的点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKJoOz.html" rel="bookmark" class="title">JavaScript&plus;Java实现HTML页面转为PDF文件保存的方法&lowbar;javascript技巧</a>
					<div>
						需求是一个导出pdf的功能,多方奔走终于实现了,走了不少弯路,而且怀疑现在这个方法仍是弯的. 有个jsPDF 插件可以在前端直接生成pdf,很简便,但不支持IE. 前端: 首先引入  html2can ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GG3Np.html" rel="bookmark" class="title">ASP FCKeditor在线编辑器使用方法&lowbar;网页编辑器</a>
					<div>
						本文使用的是最新的FCKeditor 2.3.1版本 官方网站下载: http://ckeditor.com/download[建议直接在官方网站下载最新版本] 下面就开始用了: 第一项工作就是对这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmx2Np.html" rel="bookmark" class="title">Vuejs第七篇之Vuejs过渡动画案例全面解析&lowbar;javascript技巧</a>
					<div>
						本篇资料是小编结合官方文档整理的一套更全面细致的说明,代码更多更全. 本篇资料来于官方文档: http://cn.vuejs.org/guide/transitions.html 下面看下过渡动画相关 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
